milvus-logo
LFAI
Home
  • Get Started

Install Milvu Nodejs SDK

This topic describes how to install Milvus Node.js SDK for Milvus.

Compatibility

The following collection shows Milvus versions and recommended @zilliz/milvus2-sdk-node versions:

Milvus versionRecommended @zilliz/milvus2-sdk-node version
2.3.x2.3.x
2.2.x2.2.x
2.1.x2.1.x
2.0.12.0.0, 2.0.1
2.0.02.0.0

Requirement

Node.js v12+

Installation

The recommended way to get started using the Milvus node.js client is by using npm (Node package manager) to install the dependency in your project.

npm install @zilliz/milvus2-sdk-node
# or ...
yarn add @zilliz/milvus2-sdk-node

This will download the Milvus node.js sdk and add a dependency entry in your package.json file.

What's next

Having installed Milvus Node.js SDK, you can: